/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */


$("body").on("keypress", "input[type=money],input[type=number]", function (e) {
    //console.log(String.fromCharCode(e.which) + "|" + e.which);
    var c = String.fromCharCode(e.which);
    var k = e.which;
    if (/[0-9]|[\.]/.test(c)) {
        // Numbers and period
    } else if (k == 0 || k == 8) {
        // Delete, backspace, etc
    } else {
        e.preventDefault();
        return false;
    }
});